<?php
/**
* @Copyright Copyright (C) 2010- xml/swf
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
**/

defined( '_JEXEC' ) or die( 'Restricted access' ); 
require_once (dirname(__FILE__).DS.'noimage_functions.php');

$slideshow_width                   = intval($params->get( 'slideshow_width', 900 ));
$slideshow_height                  = intval($params->get( 'slideshow_height', 400 ));
$bgcolor						   = trim($params->get( 'bgcolor', '000000' ));
$wmode							   = trim($params->get( 'wmode', 'transparent' )); 

$xml_fname = $params->get( 'xml_fname', 'a' );
$catppv_id = 'xml/' . $xml_fname;
$onlyvm_flag = false;

$module_path = dirname(__FILE__).DS;
if (!is_dir($module_path . 'xml/')) {
	mkdir($module_path . 'xml/', 0777);
}

if (!function_exists('create_carouselslideshow_files')) {
function create_carouselslideshow_files($params, &$catppv_id)
{

////// auto slide

$auto_slide = $params->get( 'auto_slide', '1' );
if($auto_slide ==1){
  $auto_slide_generate = 'true';
}else{
  $auto_slide_generate = 'false';
}

//// picture scalling

$picture_scale = $params->get( 'picture_scaling', '1' );
if($picture_scale == 1){
	$picture_scale_generate = 'yes';
}else{
	$picture_scale_generate = 'no';
}

$auto_slide = $params->get( 'auto_slide', 'yes' );
if($auto_slide == "yes"){
	$auto_slide_generate = 'true';
}else{
	$auto_slide_generate = 'false';
}

$show_desc = $params->get( 'show_desc', 'yes' );
if($show_desc == "yes"){
	$show_desc_generate = 'true';
}else{
	$show_desc_generate = 'false';
}

$progressbar = $params->get( 'progressbar', 'yes' );
if($progressbar == "yes"){
	$progressbar_generate = 'true';
}else{
	$progressbar_generate = 'false';
}

$picture_scalling = $params->get( 'picture_scalling', 'yes' );
if($picture_scalling == "yes"){
	$picture_scalling_generate = 'true';
}else{
	$picture_scalling_generate = 'false';
}

$xml_category_data = '<?xml version="1.0" encoding="iso-8859-1"?>

<slideshow>
	<settings>
		<main_image width="'.$params->get( 'mainimage_width', '400' ).'" height="'.$params->get( 'mainimage_height', '300' ).'" />
		<background>'.$params->get( 'bgcolor', '000000' ).'</background>
		<autoslide on="'.$auto_slide_generate.'" time="'.$params->get( 'autoslide_time', '5' ).'" />
		<transition_speed>'.$params->get( 'transition_speed', '50' ).'</transition_speed>
		<transition_type>'.$params->get( 'transition_type', 'easeOut' ).'</transition_type>
		<description>
			<show>'.$show_desc_generate.'</show>
			
			<location >'.$params->get( 'desc_position', 'bottom' ).'</location>
			<background>'.$params->get( 'desc_bgcolor', 'FF0000' ).'</background>
			<alpha>'.$params->get( 'desc_bgcoloralpha', '90' ).'</alpha>
			<text>'.$params->get( 'desc_color', 'FFFFFF' ).'</text>
			<roundness>'.$params->get( 'desc_roundness', '0' ).'</roundness>
			
		</description>
		<border size="'.$params->get( 'slideshow_bordersize', '4' ).'" color="'.$params->get( 'slideshow_bordercolor', 'FFFFFF' ).'" />
		<reflection>'.$params->get( 'image_reflection', 'image' ).'</reflection>
		<progress>
			<show>'.$progressbar_generate.'</show>
			<location>'.$params->get( 'progressbar_position', 'top' ).'</location>
			<color>'.$params->get( 'progressbar_color', '555555' ).'</color>
			<highlight>'.$params->get( 'progressbar_highlightcolor', 'CCCCCC' ).'</highlight>
			<alpha>'.$params->get( 'progressbar_alpha', '50' ).'</alpha>
		</progress>
	</settings>';


$images        = trim($params->get('images', '' )); 
$images_arr    = explode("\n",$images);
$desc        = trim($params->get('desc', '' ));
$desc_arr    = explode("\n",$desc);
$links        = trim($params->get('links', '' )); 
$links_arr    = explode("\n",$links);

////// start : noimage functions

$exist_url = JURI::root();
$server_path = getCurUrl($exist_url);
$hasAccess = _isHavingAccess();

////// end : noimage functions

$xml_category_data .= "<pictures>";

foreach ($images_arr as $curr_k=>$curr_pic) {


  if ($show_desc == 'yes') {

	$display_desc = trim(substr($desc_arr[$curr_k],0,100));
  }else{
	  $display_desc= '';
  }

$xml_category_data .= ' <picture src="'.trim($server_path.$images_arr[$curr_k]).'" scale="'.$picture_scalling_generate.'">
			<link target="'.$params->get( 'target', '_blank' ).'">'.trim($links_arr[$curr_k]).'</link>
			<description>'.$display_desc.'</description>
		</picture>';
}

$xml_category_data .= " </pictures></slideshow>";

$module_path = dirname(__FILE__).DS;

//$catppv_id .= md5($xml_category_data);

if (1 == trim($params->get( 'catppv_flag', '2' ))) {
		$catppv_id .= md5($xml_category_data);
}


if (!file_exists($module_path . $catppv_id . '.swf')) {
	copy($module_path . 'mod_xmlswf_carouselslideshow.swf', $module_path . $catppv_id . '.swf');

	///////// set chmod 0777 for creating .xml file  if server is not windows
	$os_string = php_uname('s');
	$cnt = substr_count($os_string, 'Windows');
	if($cnt =='0'){
		@chmod($module_path . $catppv_id . '.swf', 0644);
	}
}

    $xml_categories_filename = $module_path.$catppv_id.'.xml';
	$xml_categories_file = fopen($xml_categories_filename,'w');
	fwrite($xml_categories_file, $xml_category_data);
	
	///////// set chmod 0777 for creating .xml file  if server is not windows
	$os_string = php_uname('s');
	$cnt = substr_count($os_string, 'Windows');
	if($cnt =='0'){
		@chmod($xml_categories_filename, 0777);
	}

	fclose($xml_categories_file);
}
}

create_carouselslideshow_files($params, $catppv_id);

$exist_url = JURI::root();
$server_path = getCurUrl($exist_url);
?>

<div align="center">

<script type="text/javascript">AC_FL_RunContent = 0;</script>
<script src="<?php echo $server_path?>modules/mod_xmlswf_carouselslideshow/AC_RunActiveContent.js" type="text/javascript"></script>
<script type="text/javascript">

			if (AC_FL_RunContent == 0) {

				alert("This page requires AC_RunActiveContent.js.");

			} else {

				AC_FL_RunContent(

					'codebase', 'http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0',
					'width','<?php echo $slideshow_width;?>',
					'height','<?php echo $slideshow_height; ?>',
					'src', '<?php echo $server_path?>modules/mod_xmlswf_carouselslideshow/<?php echo $catppv_id; ?>',
					'quality', 'high',
					'pluginspage', 'http://www.macromedia.com/go/getflashplayer',
					'align', 'middle',
					'play', 'true',
					'loop', 'true',
					'scale', 'showall',
					'wmode', '<?php echo $wmode;?>',
					'devicefont', 'false',
					'id', 'flcontent',
					'bgcolor', '<?php echo $bgcolor;?>',
					'name', 'flcontent',
					'menu', 'true',
					'allowFullScreen', 'true',
					'allowScriptAccess','sameDomain',
					'movie', '<?php echo $server_path?>modules/mod_xmlswf_carouselslideshow/<?php echo $catppv_id; ?>',
					'salign', '',
					'FlashVars','dataFile=<?php echo $server_path?>modules/mod_xmlswf_carouselslideshow/<?php echo $catppv_id; ?>.xml'
						); //end AC code

					}
			</script>
		<noscript>
			<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" width="<?php echo $slideshow_width;?>" height="<?php echo $slideshow_height;?>" id="slideshow" align="middle">
				<param name="movie" value="<?php echo $server_path?>modules/mod_xmlswf_carouselslideshow/<?php echo $catppv_id; ?>.swf" />
				<param name="quality" value="high" />
				<param name="bgcolor" value="<?php echo $bgcolor;?>" />
				<param name="play" value="true" />
				<param name="loop" value="true" />
				<param name="wmode" value="<?php echo $wmode;?>" />
				<param name="scale" value="showall" />
				<param name="menu" value="true" />
				<param name="devicefont" value="false" />
				<param name="salign" value="" />
				<param name="FlashVars" value="dataFile=<?php echo JURI::root()?>modules/mod_xmlswf_carouselslideshow/<?php echo $catppv_id; ?>.xml" />
				<param name="allowScriptAccess" value="sameDomain" />
				<!--[if !IE]>-->
				<object type="application/x-shockwave-flash" data="<?php echo $server_path?>modules/mod_xmlswf_carouselslideshow/<?php echo $catppv_id; ?>.swf" width="<?php echo $slideshow_width;?>" height="<?php echo $slideshow_height;?>">
					<param name="movie" value="<?php echo $server_path?>modules/mod_xmlswf_carouselslideshow/<?php echo $catppv_id; ?>.swf" />
					<param name="quality" value="high" />
					<param name="bgcolor" value="<?php echo $bgcolor;?>" />
					<param name="play" value="true" />
					<param name="loop" value="true" />
					<param name="wmode" value="<?php echo $wmode;?>" />
					<param name="scale" value="showall" />
					<param name="menu" value="true" />
					<param name="devicefont" value="false" />
					<param name="salign" value="" />
					<param name="FlashVars" value="dataFile=<?php echo JURI::root()?>modules/mod_xmlswf_carouselslideshow/<?php echo $catppv_id; ?>.xml" />
					<param name="allowScriptAccess" value="sameDomain" />
				<!--<![endif]-->
					<a href="http://www.adobe.com/go/getflash">
						<img src="http://www.adobe.com/images/shared/download_buttons/get_flash_player.gif" alt="Get Adobe Flash player" />
					</a>
				<!--[if !IE]>-->
				</object>
				<!--<![endif]-->
			</object>


		</noscript>
</div>